Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Public Member Functions | Public Attributes | List of all members
eZCollaborationNotificationHandler Class Reference

The class eZCollaborationNotificationHandler does. More...

Inheritance diagram for eZCollaborationNotificationHandler:

## Public Member Functions
| __construct ()
| attributes ()
| hasAttribute ( $attr)
| attribute ( $attr)
| collaborationHandlers ()
| collaborationSelections ()
| handle ( $event)
| handleCollaborationEvent ( $event, &$parameters)
| sendMessage ( $event, $parameters)
| rules ( $user=false)
| fetchHttpInput ( $http, $module)
| cleanup ()
Public Member Functions inherited from eZNotificationEventHandler
| __construct ( $idString, $name)
| storeSettings ( $http, $module)

## Public Attributes
const | NOTIFICATION_HANDLER_ID = 'ezcollaboration'
const | TRANSPORT = 'ezmail'
Public Attributes inherited from eZNotificationEventHandler
const | EVENT_HANDLED = 0
const | EVENT_SKIPPED = 1
const | EVENT_UNKNOWN = 2
const | EVENT_ERROR = 3
| $IDString = false
| $Name = false

## Detailed Description

The class eZCollaborationNotificationHandler does.

Definition at line 17 of file ezcollaborationnotificationhandler.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZCollaborationNotificationHandler::__construct | ( |  | ) |

Definition at line 22 of file ezcollaborationnotificationhandler.php.

## Member Function Documentation

## ◆ attribute()

eZCollaborationNotificationHandler::attribute | ( |  | $attr | ) |

Reimplemented from eZNotificationEventHandler.

Definition at line 39 of file ezcollaborationnotificationhandler.php.

References eZNotificationEventHandler\attribute(), collaborationHandlers(), and collaborationSelections().

## ◆ attributes()

eZCollaborationNotificationHandler::attributes | ( |  | ) |

Reimplemented from eZNotificationEventHandler.

Definition at line 27 of file ezcollaborationnotificationhandler.php.

References eZNotificationEventHandler\attributes().

Referenced by hasAttribute().

## ◆ cleanup()

eZCollaborationNotificationHandler::cleanup | ( |  | ) |

Cleanup any specific tables or other resources.

Reimplemented from eZNotificationEventHandler.

Definition at line 154 of file ezcollaborationnotificationhandler.php.

References eZCollaborationNotificationRule\cleanup().

## ◆ collaborationHandlers()

eZCollaborationNotificationHandler::collaborationHandlers | ( |  | ) |

Returns the available collaboration handlers.

Definition at line 56 of file ezcollaborationnotificationhandler.php.

References eZCollaborationItemHandler\fetchList().

Referenced by attribute().

## ◆ collaborationSelections()

eZCollaborationNotificationHandler::collaborationSelections | ( |  | ) |

Definition at line 61 of file ezcollaborationnotificationhandler.php.

References eZCollaborationNotificationRule\fetchList().

Referenced by attribute(), and fetchHttpInput().

## ◆ fetchHttpInput()

eZCollaborationNotificationHandler::fetchHttpInput | ( |  | $http,
|  |  | $module
| ) |  |

Reimplemented from eZNotificationEventHandler.

Definition at line 134 of file ezcollaborationnotificationhandler.php.

References collaborationSelections(), eZCollaborationNotificationRule\create(), and eZCollaborationNotificationRule\removeByIdentifier().

## ◆ handle()

eZCollaborationNotificationHandler::handle | ( |  | $event | ) |

Reimplemented from eZNotificationEventHandler.

Definition at line 72 of file ezcollaborationnotificationhandler.php.

References eZNotificationEventHandler\EVENT_HANDLED, handleCollaborationEvent(), sendMessage(), and eZDebugSetting\writeDebug().

## ◆ handleCollaborationEvent()

eZCollaborationNotificationHandler::handleCollaborationEvent | ( |  | $event,
|  | & | $parameters
| ) |  |

Definition at line 87 of file ezcollaborationnotificationhandler.php.

References eZNotificationEventHandler\EVENT_SKIPPED.

Referenced by handle().

## ◆ hasAttribute()

eZCollaborationNotificationHandler::hasAttribute | ( |  | $attr | ) |

Reimplemented from eZNotificationEventHandler.

Definition at line 34 of file ezcollaborationnotificationhandler.php.

References attributes().

## ◆ rules()

eZCollaborationNotificationHandler::rules | ( |  | $user = `false` | ) |

Definition at line 123 of file ezcollaborationnotificationhandler.php.

References eZUser\currentUser(), and eZCollaborationNotificationRule\fetchList().

## ◆ sendMessage()

eZCollaborationNotificationHandler::sendMessage | ( |  | $event,
|  |  | $parameters
| ) |  |

Definition at line 96 of file ezcollaborationnotificationhandler.php.

References eZNotificationCollection\fetchListForHandler(), and eZNotificationTransport\instance().

Referenced by handle().

## Member Data Documentation

## ◆ NOTIFICATION_HANDLER_ID

const eZCollaborationNotificationHandler::NOTIFICATION_HANDLER_ID = 'ezcollaboration'

Definition at line 19 of file ezcollaborationnotificationhandler.php.

Referenced by eZCollaborationItemHandler\handleCollaborationEvent().

## ◆ TRANSPORT

const eZCollaborationNotificationHandler::TRANSPORT = 'ezmail'

Definition at line 20 of file ezcollaborationnotificationhandler.php.

Referenced by eZCollaborationItemHandler\handleCollaborationEvent().

The documentation for this class was generated from the following file:

- ezcollaborationnotificationhandler.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.